GET {{baseURL}}/pay-api/v1/customers/{{customerId}}/payment-methods
This endpoint lists a customer's payment methods.
See Also:
To create an ACH payment method for a customer, see POST /pay-api/v1/customers/{customerId}/payment-methods/ach.
To create a card payment method for a customer, see POST /pay-api/v1/customers/{customerId}/payment-methods/cards.
To update a customer's payment method, see PUT /pay-api/v1/customers/{customerId}/payment-methods/{paymentMethodId}.
To delete a customer's payment method, see DELETE /pay-api/v1/customers/{customerId}/payment-methods/{paymentMethodId}.
Specifies the page number of the returned search results.
A page is considered each set of the pageSize value.
The maximum page value is the pageSize divided by the total count rounded up. The count is zero-based. For example, if pageSize is 50 and the total is 130, there are three pages. The maximum page value is 2.
Values above the maximum page value will complete successfully but not return any items.
Example: 0
Specifies the number of items for each page of the returned search results.
A page is considered each set of the pageSize value.
The maximum page value is the pageSize divided by the total count rounded up. The count is zero-based. For example, if pageSize is 50 and the total is 130, there are three pages. The maximum page value is 2.
Example: 50
Specifies a filter to return items at or after this date-time (in an ISO 8601 date-time format)..
If dateFrom only is specified, the search returns all available items from the dateFrom value to the present. The fields dateFrom and dateTo may be used together to create an inclusive range. We recommend creating an inclusive range to avoid a potentially excessive number of returns.
Example: 2025-01-27T12:05:54.322587Z
Specifies returning items at or before this date-time (in an ISO 8601 date-time UTC format).
If dateTo only is specified, the search returns all available items up to the dateTo value. The fields dateFrom and dateTo may be used together to create an inclusive range. We recommend creating an inclusive range to avoid a potentially excessive number of returns.
Example: 2026-01-27T12:05:54.322587Z
- Mock serverhttps://developer.flute.com/_mock/api-reference/pay-api/v1/customers/{customerId}/payment-methods
- Sandbox environmenthttps://sandbox.api.flute.com/pay-api/v1/customers/{customerId}/payment-methods
- Production environmenthttps://api.flute.com/pay-api/v1/customers/{customerId}/payment-methods
// Language is not supported.{ "items": [ { "id": "09af9936-08ec-4235-8386-b8d341cc88e7", "name": "Peppared Street Cafe's Preferred Payment", "panMask": "4111********1234", "isDefault": true, "typeId": 2, "typeName": "ElectronicCheck", "expirationMonth": 7, "expirationYear": 2032, "createdOn": "2025-01-27T12:05:54.322587Z", "accountNumber": "123456789", "routingNumber": "123123123", "accountType": 1, "accountHolderType": 1, "taxId": "98-7654321", "cardTokenType": 2 } ], "total": 7 }